[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ManualFloat

Undocks the control into floating state.

## Declaration

Source position: controls.pp line 1257

`public function TControl.ManualFloat(`
`TheScreenRect: TRect;`
`KeepDockSiteSize: Boolean = true`
`):Boolean; virtual;`

## Arguments

`TheScreenRect` |  | The rectangle within which the floating control is located

## Function result

The function returns True if a manual float has been succesfully performed

## Description

TWinControls float for themselves, for TControls a floating dock site is created, and the control is docked into it.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.